<?php
session_start();
$db = new SQLite3('/opt/affpanel/users.db');

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $username = $_POST["username"];
    $password = $_POST["password"];

    $stmt = $db->prepare("SELECT password FROM users WHERE username = :username");
    $stmt->bindValue(':username', $username, SQLITE3_TEXT);
    $result = $stmt->execute()->fetchArray();

    if ($result && password_verify($password, $result['password'])) {
        $_SESSION["authenticated"] = true;
        header("Location: index.php");
        exit();
    } else {
        $error = "Invalid login credentials!";
    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login - AffPanel</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body class="container mt-5">
    <h2>Login to AffPanel</h2>
    <?php if (isset($error)) { echo "<p class='text-danger'>$error</p>"; } ?>
    <form method="post">
        <label>Username:</label>
        <input type="text" name="username" class="form-control" required>
        <label>Password:</label>
        <input type="password" name="password" class="form-control" required>
        <button type="submit" class="btn btn-primary mt-2">Login</button>
    </form>
</body>
</html>
