<?php
session_start();
if (!isset($_SESSION["authenticated"])) {
    header("Location: login.php");
    exit();
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $domain = escapeshellcmd($_POST["domain"]);
    $web_root = "/var/www/$domain/public_html";

    if (!file_exists($web_root)) {
        mkdir($web_root, 0755, true);
        file_put_contents("$web_root/index.html", "<h1>Welcome to $domain</h1>");
    }

    $vhost_config = "
<VirtualHost *:80>
    ServerName $domain
    DocumentRoot $web_root
    <Directory \"$web_root\">
        AllowOverride All
        Require all granted
    </Directory>
    ErrorLog ${APACHE_LOG_DIR}/$domain-error.log
    CustomLog ${APACHE_LOG_DIR}/$domain-access.log combined
</VirtualHost>";

    file_put_contents("/etc/apache2/sites-available/$domain.conf", $vhost_config);
    shell_exec("a2ensite $domain.conf && systemctl restart apache2");

    $message = "Domain $domain added successfully!";
}

// Get existing domains
$domain_list = shell_exec("ls /etc/apache2/sites-available | grep '.conf' | sed 's/.conf//'");

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Domain Management - AffPanel</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body class="container mt-5">
    <h2>Manage Domains</h2>
    <?php if (isset($message)) { echo "<div class='alert alert-success'>$message</div>"; } ?>

    <form method="post">
        <label>Enter Domain Name:</label>
        <input type="text" name="domain" class="form-control" required>
        <button type="submit" class="btn btn-primary mt-2">Add Domain</button>
    </form>

    <h3 class="mt-4">Existing Domains</h3>
    <ul class="list-group">
        <?php 
        if (!empty($domain_list)) {
            foreach (explode("\n", trim($domain_list)) as $d) {
                echo "<li class='list-group-item'>$d</li>";
            }
        } else {
            echo "<li class='list-group-item'>No domains added yet.</li>";
        }
        ?>
    </ul>
</body>
</html>
